%define xname	xorg-x11
%define name	%{xname}-server-prefbusid
%define version	6.7.0
%define release	0.1.5mdk

%define x11prefix /usr/X11R6
%define x11bindir %{x11prefix}/bin
%define x11libdir %{x11prefix}/lib
%define x11moddir %{x11libdir}/modules

Summary:	Concurrent X server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/XFree86
URL:		http://startx.time.lv
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86-devel >= 4.3
Requires:	%{xname}-server
Obsoletes:	XFree86-concurrent-server, XFree86-server-concurrent
Provides:	XFree86-concurrent-server, XFree86-server-concurrent

Patch000: 	Xorg-6.7.0-isolate_device.patch.bz2
Patch001: 	XFree86-4.3-PrefBusID-v3.patch.bz2
%description
This is a modified X server which allows you to run
servers at the same time in order to have multiple
local XFree users. To actually use it as such you 
have to start it with argument -prefbusid x:xx:xx,
where x:xx:xx specifies the BusID of the graphic card 
which the X server will use. You can also specify the 
prefered bus id in the XFree configuration file.


%prep
#%setup -n %{name}
rm -Rf %{_topdir}/BUILD/%{name}
mkdir -p %{name}/xc
cd %{name}/xc
lndir -silent -ignorelinks %{_topdir}/BUILD/%{xname}-%{version}/xc
%patch000 -p1 -R -b .isolate_device
%patch001 -p1 -b .prefbusid

%build
cd %{_topdir}/BUILD/%{name}/xc/programs/Xserver
make
#%make
mv Xorg Xorg-prefbusid 
%install
rm -rf $RPM_BUILD_ROOT

#%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{x11bindir}/
cd %{_topdir}/BUILD/%{name}/xc/programs/Xserver
install -c -m 0744 Xorg-prefbusid $RPM_BUILD_ROOT/%{x11bindir}/
ln -s Xorg-prefbusid $RPM_BUILD_ROOT/%{x11bindir}/X0
ln -s Xorg-prefbusid $RPM_BUILD_ROOT/%{x11bindir}/X1
ln -s Xorg-prefbusid $RPM_BUILD_ROOT/%{x11bindir}/X2
ln -s Xorg-prefbusid $RPM_BUILD_ROOT/%{x11bindir}/X3

%clean
rm -rf %RPM_BUILD_ROOT


%files

%defattr(-,root,root)
%{x11bindir}/Xorg-prefbusid
%{x11bindir}/X0
%{x11bindir}/X1
%{x11bindir}/X2
%{x11bindir}/X3


%changelog
* Wed May 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 6.7.0-0.1.1mdk
- recompile with xorg

* Wed May 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 4.3-30.1mdk
- rebuild with XFree86-4.3-30mdk.src.rpm
  (for MDK10.0 official)

* Mon Oct 13 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 4.3-24.1mdk
- rebuild with XFree86-4.3-24mdk.src.rpm
* Mon Sep 1 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 4.3-23.1mdk
- initial rebuild for Mandrake 9.2

